Bug 1788581 - use IPv6-enabled (dualstack) endpoints for S3
Summary: use IPv6-enabled (dualstack) endpoints for S3
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1788582
TreeView+ depends on / blocked
 
Reported: 2020-01-07 14:45 UTC by Oleg Bulatov
Modified: 2020-03-01 02:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1788582 (view as bug list)
Environment:
Last Closed: 2020-03-01 02:56:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 425 0 None closed Use dual stack endpoints for S3 2020-02-27 03:31:49 UTC

Description Oleg Bulatov 2020-01-07 14:45:31 UTC
This BZ is a part of https://issues.redhat.com/browse/DEVEXP-497

The cluster image registry operator should use dualstack endpoints when it connects to Amazon S3.

Comment 2 Wenjing Zheng 2020-02-27 07:41:25 UTC
Hi Oleg, it seems ipv6 will only be supported for IPI on bare metal in 4.4, whether this bug is still valid?

Comment 3 Oleg Bulatov 2020-03-01 02:56:44 UTC
That's my understanding too, we are not going to announce this feature in 4.4. I'd close this BZ for now so we can focus on DEVEXP-497.


Note You need to log in before you can comment on or make changes to this bug.